Files
cubelinux-kernel/tools/testing/selftests/powerpc/nx-gzip/nx-gzip-test.sh
T
Greg Kroah-Hartman 598cf27219 Linux 6.19.3
Link: https://lore.kernel.org/r/20260217200002.683975158@linuxfoundation.org
Tested-by: Florian Fainelli <florian.fainelli@broadcom.com>
Tested-by: Takeshi Ogasawara <takeshi.ogasawara@futuring-girl.com>
Tested-by: Peter Schneider <pschneider1968@googlemail.com>
Tested-by: Jon Hunter <jonathanh@nvidia.com>
Tested-by: Salvatore Bonaccorso <carnil@debian.org>
Tested-by: Brett A C Sheffield <bacs@librecast.net>
Tested-by: Mark Brown <broonie@kernel.org>
Tested-by: Luna Jernberg <droidbittin@gmail.com>
Tested-by: Ronald Warsow <rwarsow@gmx.de>
Tested-by: Justin M. Forbes <jforbes@fedoraproject.org>
Tested-by: Ron Economos <re@w6rz.net>
Tested-by: Miguel Ojeda <ojeda@kernel.org>
Signed-off-by: Greg Kroah-Hartman <gregkh@linuxfoundation.org>
2026-02-19 16:33:27 +01:00

47 lines
647 B
Bash
Executable File

#!/bin/bash
# SPDX-License-Identifier: GPL-2.0-or-later
if [[ ! -w /dev/crypto/nx-gzip ]]; then
echo "Can't access /dev/crypto/nx-gzip, skipping"
echo "skip: $0"
exit 4
fi
set -e
function cleanup
{
rm -f nx-tempfile*
}
trap cleanup EXIT
function test_sizes
{
local n=$1
local fname="nx-tempfile.$n"
for size in 4K 64K 1M 64M
do
echo "Testing $size ($n) ..."
dd if=/dev/urandom of=$fname bs=$size count=1
./gzfht_test $fname
./gunz_test ${fname}.nx.gz
done
}
echo "Doing basic test of different sizes ..."
test_sizes 0
echo "Running tests in parallel ..."
for i in {1..16}
do
test_sizes $i &
done
wait
echo "OK"
exit 0